Bug 475777 - Review Request: perl-AnyEvent-AIO - Truly asynchronous file and directory I/O
Review Request: perl-AnyEvent-AIO - Truly asynchronous file and directory I/O
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-10 07:55 EST by Nicolas Chauvet (kwizart)
Modified: 2008-12-19 10:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-19 10:54:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-12-10 07:55:53 EST
Spec URL:
Description: Truly asynchronous file and directrory I/O

rpmlint is clean
built using mock on rawhide-i386

This package needs an updated perl(IO::AIO) (>= 3 ) currently in updates-testing for F-10 (whereas it should works for F-9)
Comment 1 Jason Tibbitts 2008-12-10 18:06:51 EST
"directrory" should be spelled "directory" in Summary: and %description.  Not a big deal; just fix it up when you check in.

* source files match upstream.  sha256sum:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
O summary is OK (spelling).
O description is OK (spelling).
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(AnyEvent::AIO) = 1.0
   perl-AnyEvent-AIO = 1.0-1.fc11

* %check is present and all tests pass:
  All tests successful.
  Files=1, Tests=1,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.01 cusr  0.00 
   csys =  0.02 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.


The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Nicolas Chauvet (kwizart) 2008-12-11 09:40:51 EST
Thx for the reviews tibbs. I will fix the typo before import.
Comment 3 Nicolas Chauvet (kwizart) 2008-12-11 09:43:54 EST
New Package CVS Request
Package Name: perl-AnyEvent-AIO
Short Description: Truly asynchronous file and directory I/O
Owners: kwizart
Branches: F-10 F-9 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-12-14 00:16:54 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.